Page MenuHomePhabricator

<math style="vertical-align:-10%;">B</math> fails to display anything in MathML with SVG or PNG fallback mode
Closed, ResolvedPublic

Description

Using the MathML with SVG or PNG fallback mode of Google chrome fails to display if a vertical align attribute is set in the maths tag.

With the source

A<math style="vertical-align:-10%;">B</math>C<math>D</math>E<span style="vertical-align:-10%;">F</span>

ABCDEF should display, but the B does not appear. It seem that adding the attribute suppressed the creation of a default image. You can see this at
https://en.wikipedia.org/w/index.php?title=User:Salix_alba/sandbox&oldid=631472269

An article space example is https://en.wikipedia.org/w/index.php?title=Data_validation_and_reconciliation&oldid=594713351 a lot of the inline formula in the Data reconciliation section.

Things seem to work OK in the other modes and in the MathML mode on firefox.


Version: unspecified
Severity: normal
OS: Mac OS X 10.9
Platform: Macintosh

Details

Reference
bz72626

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:57 AM
bzimport added a project: Math.
bzimport set Reference to bz72626.

gerritadmin wrote:

Change 170643 had a related patch set uploaded by Physikerwelt:
Disable overwriting of the fallback image

https://gerrit.wikimedia.org/r/170643

Physikerwelt changed the task status from Open to Stalled.Dec 5 2014, 3:48 PM
Physikerwelt set Security to None.
Physikerwelt moved this task from Incoming to Doing on the Math board.
Physikerwelt moved this task from Doing to Blocked: needs help on the Math board.Jan 10 2015, 2:56 PM

@SalixAlba: I feel sorry that this issue is still not fixed. But I can not find anybody doing a code review for the fix.

Physikerwelt triaged this task as High priority.Mar 20 2015, 3:08 PM

@Jdforrester-WMF: I'm not sure what to do here. I'm not sure if merging https://gerrit.wikimedia.org/r/170643 is the right thing, or if this bug should be closed as invalid and continue to use user defined style or if we make an attempt to merge both styles. Since I do not see a real need for practical applications I have no indicator what would be best here. Furthermore, there are no comments on the bug that could be used as indicator if the proposed solution is good or not.

This seems a reasonable approach. In general, user-defined styles should be used with extreme care. If people really do need to style the output of <math> blocks they can justify it here.

Jdforrester-WMF closed this task as Resolved.Jul 31 2015, 5:39 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF reassigned this task from Jdforrester-WMF to Physikerwelt.